# $Revision: 1.13 $, $Date: 2005/12/03 14:48:57 $
Summary:	FastCGI development kit - shared libraries
Summary(pl):	Zestaw dla programistw FastCGI - biblioteki wspdzielone
Name:		fcgi
Version:	2.4.0
Release:	2
License:	distributable
Group:		Libraries
Source0:	http://www.fastcgi.com/dist/%{name}-%{version}.tar.gz
# Source0-md5:	d15060a813b91383a9f3c66faf84867e
Patch0:		%{name}-no-libs.patch
Patch1:		%{name}-listen-backlog.patch
URL:		http://www.fastcgi.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool >= 2:1.4d-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/fastcgi

%description
FastCGI is an open extension to CGI that provides high performance for
all Internet applications without the penalties of Web server APIs.

FastCGI is designed to be layered on top of existing Web server APIs.
For instance, the mod_fastcgi Apache module adds FastCGI support to
the Apache server. FastCGI can also be used, with reduced
functionality and reduced performance, on any Web server that supports
CGI.

This FastCGI Developer's Kit is designed to make developing FastCGI
applications easy. The kit currently supports FastCGI applications
written in C/C++, Perl, Tcl, and Java.

This package contains only shared libraries used by programs developed
using FastCGI Developer's Kit and cgi-fcgi (bridge from CGI to
FastCGI).

%description -l pl
FastCGI to otwarte rozszerzenie CGI dajce wysok wydajno dla
wszystkich aplikacjach internetowych bez obciania API serwera WWW.

FastCGI zosta zaprojektowany "na wierzchu" istniejcych API serwerw.
Na przykad, modu Apache mod_fastcgi dodaje obsug FastCGI do serwera
Apache. FastCGI moe by uywany, ze zmniejszon funkcjonalnoci
i wydajnoci, z dowolnym serwerem obsugujcym CGI.

Zestaw Programisty FastCGI jest tak zaprojektowany, by uczyni atwym
tworzenie aplikacji FastCGI. Aktualnie wspiera tworzenie aplikacji
FastCGI w C/C++, Perlu, Tcl i Javie.

Ten pakiet zawiera tylko biblioteki wspdzielone uywane przez programy
stworzone przy uyciu FastCGI developer's Kit oraz program cgi-fcgi
(bramk pomidzy CGI a FastCGI).

%package devel
Summary:	FastCGI development kit
Summary(pl):	Zestaw dla programistw FastCGI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fastcgi-devkit

%description devel
This package contains FastCGI Developer's Kit, which is designed to
make developing FastCGI applications easy. The kit currently supports
FastCGI applications written in C/C++, Perl, Tcl, and Java.

%description devel -l pl
Ten pakiet zawiera Zestaw Programisty FastCGI, ktry jest tak
zaprojektowany, by uczyni atwym tworzenie aplikacji FastCGI.
Aktualnie wspiera tworzenie aplikacji FastCGI w C/C++, Perlu, Tcl i
Javie.

%package static
Summary:	FastCGI static library
Summary(pl):	Statyczna biblioteka FastCGI
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FastCGI static library.

%description static -l pl
Statyczna biblioteka FastCGI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# supplied libtool is broken (relink, C++)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

CPPFLAGS="-DLISTEN_BACKLOG=1024"
%configure \
	--with-global \
	--with-nodebug \
	--with-noassert \
	--with-notest

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples/{Makefile*,*.c} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README LICENSE.TERMS doc/*.1
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/*.htm* doc/*.gif doc/fastcgi-* doc/*.3
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fcgi.spec,v $
Revision 1.13  2005/12/03 14:48:57  glen
- large listen backlog
- unify examples dir
- rel 2

Revision 1.12  2005/05/06 12:44:32  qboosh
- no whitespace at eols

Revision 1.11  2004/08/31 06:40:51  snurf
- typos / formatting / etc.

Revision 1.10  2004/07/20 13:44:54  qboosh
- strict internal deps, dropped fastcgi-devkit Provides

Revision 1.9  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:47:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/11 00:14:17  qboosh
- updated to 2.4.0, updated no-libs patch

Revision 1.6  2002/12/25 21:39:35  qboosh
- use fixed libtool instead of hacking *.la
- BR: libtool with C++ libraries support (>= 1.4d, not 1.4.x)

Revision 1.5  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.4  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.3  2002/05/21 23:13:01  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/05/03 18:04:18  kloczek
- cosmetics.

Revision 1.1  2002/05/03 17:34:15  qboosh
- updated to 2.2.2
- renamed to fastcgi-devkit.spec to fcgi.spec, added -devel and -static
  (now it uses shared library)
- no-libs patch to avoid linking with unnecessary libs
